org.richfaces.renderkit.html.images

## Class GridSeparatorImage

- java.lang.Object
- - org.ajax4jsf.resource.InternetResourceBase
  - - org.ajax4jsf.resource.Java2Dresource
    - - org.richfaces.renderkit.html.images.ToolBarSeparatorImage
      - - org.richfaces.renderkit.html.images.GridSeparatorImage

- All Implemented Interfaces:
    org.ajax4jsf.resource.InternetResource

      public class GridSeparatorImage
      extends ToolBarSeparatorImage

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.richfaces.renderkit.html.images.ToolBarSeparatorImage

      `ToolBarSeparatorImage.SeparatorData`

  - ### Field Summary

    - ### Fields inherited from interface org.ajax4jsf.resource.InternetResource

      `CODEC_ATTR, DATA_SEPARATOR, DEFAULT_EXPIRE, DEFAULT_EXPITE_PARAMETER, ENCODE_PASS_PARAMETER, ENCODE_URI_PARAMETER, RESOURCE_PROTOCOL, RESOURCE_URI_PREFIX, RESOURCE_URI_PREFIX_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GridSeparatorImage()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Dimension` | `getDimensions(javax.faces.context.FacesContext facesContext, java.lang.Object data)`
    `protected java.awt.Dimension` | `getDimensions(org.ajax4jsf.resource.ResourceContext resourceContext)`
    `protected void` | `paint(org.ajax4jsf.resource.ResourceContext context, java.awt.Graphics2D g2d)`

    - ### Methods inherited from class org.richfaces.renderkit.html.images.ToolBarSeparatorImage

      `deserializeData, getDataToStore`

    - ### Methods inherited from class org.ajax4jsf.resource.Java2Dresource

      `getImage, getResourceAsStream, send`

    - ### Methods inherited from class org.ajax4jsf.resource.InternetResourceBase

      `encode, encode, encodeBegin, encodeEnd, getContentLength, getContentType, getExpired, getKey, getLastModified, getProperty, getRenderer, getUri, isCacheable, isSessionAware, requireFacesContext, restoreData, sendHeaders, setCacheable, setContentLength, setExpired, setKey, setLastModified, setProperty, setRenderer, setSessionAware`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GridSeparatorImage

          public GridSeparatorImage()

  - ### Method Detail

    - #### getDimensions

          protected java.awt.Dimension getDimensions(org.ajax4jsf.resource.ResourceContext resourceContext)

      Overrides:
        `getDimensions` in class `org.ajax4jsf.resource.Java2Dresource`

    - #### getDimensions

          public java.awt.Dimension getDimensions(javax.faces.context.FacesContext facesContext,
                                         java.lang.Object data)

      Overrides:
        `getDimensions` in class `org.ajax4jsf.resource.Java2Dresource`

    - #### paint

          protected void paint(org.ajax4jsf.resource.ResourceContext context,
                   java.awt.Graphics2D g2d)

      Overrides:
        `paint` in class `org.ajax4jsf.resource.Java2Dresource`

Copyright © 2014. All Rights Reserved.